Skip to main content
POST

JSON Ledger API

Query flat transactions update list (blocking call)

OpenAPISince 3.4Changed 3.5Remove as of 3.5.0
Query flat transactions update list (blocking call). Provided for backwards compatibility, it will be removed in the Canton version 3.5.0, use v2/updates instead. Notice: This endpoint should be used for small results set. When number of results exceeded node configuration limit (http-list-max-elements-limit) there will be an error (413 Content Too Large) returned. Increasing this limit may lead to performance issues and high memory consumption. Con…

Protocol Details

Inputs

Query parameters

number
OpenAPI type: integer (int64).maximum number of elements to return, this param is ignored if is bigger than server setting
number
OpenAPI type: integer (int64).timeout to complete and send result if no new elements are received (for open ended streams)

Request body

application/json
number
required
OpenAPI type: integer (int64).Exclusive lower bound offset of the requested ledger section (non-negative integer). The response will only contain transactions whose offset is strictly greater than this. If set to zero, the lower bound is set to the beginning of the ledger. If the participant has been pruned, this parameter must be greater or equal than the pruning offset. Required
number
OpenAPI type: integer (int64).Inclusive higher bound offset of the requested ledger section. If specified the response will only contain transactions whose offset is less than or equal to this. If not specified, - the descending_order must not be selected, - the stream will not terminate. Optional
object
OpenAPI type: TransactionFilter.Provided for backwards compatibility, it will be removed in the Canton version 3.5.0. Used both for filtering create and archive events as well as for filtering transaction trees.
boolean
Provided for backwards compatibility, it will be removed in the Canton version 3.5.0. If enabled, values served over the API will contain more information than strictly necessary to interpret the data. In particular, setting the verbose flag to true triggers the ledger to include labels, record and variant type ids for record fields. Optional for backwards compatibility, if defined update_format must be unset
object
OpenAPI type: UpdateFormat.A format specifying what updates to include and how to render them.
boolean
If set, the stream will populate the elements in descending order. Optional

Outputs

200

application/json
JsGetUpdatesResponse[]
required

400

text/plain
string
required

default

application/json
string
required
string
required
string
string
Map_String
required
Tuple2_String_String[]
integer (int32)
required
integer (int32)
string
boolean

History

Remove as of3.5.0
Changed3.5

The POST /v2/updates/flats operation changed in this snapshot.

Deprecated3.4
Introduced3.4